Package org.linphone.core

# Enum Class SecurityLevel

java.lang.Object
java.lang.Enum<SecurityLevel>
org.linphone.core.SecurityLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<SecurityLevel>`, `Constable`

public enum SecurityLevel extends Enum<SecurityLevel>
Security level determined by type of encryption (point-to-point, end-to-end,
etc...) and whether or not a SAS validation was made with the remote(s) end(s).
A `EndToEndEncryptedAndVerified` level means it's
end-to-end encrypted and SAS validation was made. An `Unsafe`
level means end-to-end-encrypted but it's likely a man-in-the-middle exists
between you and one device.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EndToEndEncrypted`
End-to-end encrypted.
`EndToEndEncryptedAndVerified`
End-to-end encrypted and verified.
`None`
No encryption.
`PointToPointEncrypted`
Point-to-point encrypted.
`Unsafe`
Security failure.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static SecurityLevel`
`fromInt(int value)`
`protected static SecurityLevel[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(SecurityLevel[] values)`
`static SecurityLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SecurityLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Unsafe

public static final SecurityLevel Unsafe
Security failure.

### None

public static final SecurityLevel None
No encryption.

### EndToEndEncrypted

public static final SecurityLevel EndToEndEncrypted
End-to-end encrypted.

### EndToEndEncryptedAndVerified

public static final SecurityLevel EndToEndEncryptedAndVerified
End-to-end encrypted and verified.

### PointToPointEncrypted

public static final SecurityLevel PointToPointEncrypted
Point-to-point encrypted.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static SecurityLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SecurityLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static SecurityLevel fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static SecurityLevel[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(SecurityLevel[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()